%global momorel 10
%global name	ami
%global ver	1.0.11
%global gnome_menu_dir %{_datadir}/applets
%global kde_menu_dir %{_datadir}/applnk
%global xim_conf_dir /etc/X11/xinit/xim.d
%global hwdver  19991115

Summary: Korean IMS Ami
Name: %{name}
Version: %{ver}
Release: %{momorel}m
License: GPL
URL: http://www.kr.freebsd.org/~hwang/ami/
Group: User Interface/X
Source0: http://www.kr.freebsd.org/~hwang/ami/ami-%{ver}.tar.gz
Source1: http://www.kr.freebsd.org/~hwang/ami/hanja.dic.gz
Source2: http://adam.kaist.ac.kr/~cwryu/archive/misc/hanja-words-%{hwdver}.tar.gz
Source3: ami-1.0.7-engpix.tar.gz
Source101: utf8-locale-list.text
#Source102: Ami-gnome
Patch0: ami-1.0.6-nostatus.patch
Patch1: ami-1.0.11-locale-20010924.patch
Patch2: ami-1.0.11-config.patch
Provides: XIM
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gdk-pixbuf-devel >= 0.13.0
Obsoletes: ami-support
Nosource: 0

%description
Korean IMS Ami using gtk+1, support gnome applet mode and Windowmaker dock mode.
Gnome applet mode binary is available from the separate packages

#%package gnome
#Summary: Korean IMS AMI, GNOME Applet mode
#Group: User Interface/X
#Prereq: gnome-applets
#
#%description gnome
#Korean IMS Ami using gtk+1, support gnome applet mode and Windowmaker dock mode.
#this package contains gnome applet mode binary of AMI

%prep
%setup -q -n ami-%{ver} -a 2 -a 3
%patch0 -p1 -b .nostat

cp -f %SOURCE1 .
gunzip hanja.dic.gz
%patch1 -p1 -b .locale
%patch2 -p1 -b .config

echo "#define DEFAULT_LOCALE \\" >> src/default_locale.h
echo "\"ko_KR,\"\\" >> src/default_locale.h
echo "\"ko_KR.EUC-KR,\"\\" >> src/default_locale.h
for i in `cat $RPM_SOURCE_DIR/utf8-locale-list.text`; do
	echo "\"$i.UTF-8,\"\\" >> src/default_locale.h
done
echo "\"ko\"" >> src/default_locale.h

%build
CFLAGS="%{optflags}" ./configure --prefix=%{_prefix} \
	 --with-hangul-keyboard=2 --sysconfdir=%{_sysconfdir} \
	 --disable-gnome-applet
make
cp src/ami src/ami_applet
make clean

CFLAGS="%{optflags}" ./configure --prefix=%{_prefix} \
	 --with-hangul-keyboard=2
make 
make -C hanjadic
make -C hanja-words-%{hwdver}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -s -m 755 src/ami_applet %{buildroot}%{_bindir}
mkdir -p %{buildroot}/etc/CORBA/servers
mkdir -p %{buildroot}%{_datadir}/applets/Utility
install -m 644 ami.desktop %{buildroot}%{_datadir}/applets/Utility
install -m 644 ami.gnorba %{buildroot}/etc/CORBA/servers

(cd %{buildroot}%{_bindir}; ln -sf ami wmami)
install -s -m 755 hanjadic/hanja-hwp2ami %{buildroot}%{_bindir}
install -s -m 755 src/ami %{buildroot}%{_bindir}
for i in pix/*; do
    mkdir -p %{buildroot}%{_datadir}/ami/$i
    install -m 644 $i/* %{buildroot}%{_datadir}/ami/$i
done
install -m 644 gtkrc %{buildroot}%{_datadir}/ami
mkdir -p %{buildroot}%{_datadir}/applnk/Utilities
install -m 644 ami.kdelnk %{buildroot}%{_datadir}/applnk/Utilities
install -m 644 hanja-words-%{hwdver}/output/ami.dic \
    %{buildroot}%{_datadir}/ami/cwryu.dic
gzip -dc %{SOURCE1} > %{buildroot}%{_datadir}/ami/default.dic
(cd %{buildroot}%{_datadir}/ami; ln -sf cwryu.dic hanja.dic)
mkdir -p %{buildroot}%{xim_conf_dir}
#install -m 644 %SOURCE102 %{buildroot}%{xim_conf_dir}

cat <<END > %{buildroot}%{xim_conf_dir}/Ami
NAME="ami"
LANGUAGE="Korean"
IFFXISTS="/usr/bin/ami"
IM_HOST=localhost
IM_EXEC="ami"
XMODIFIERS=@im=Ami
export IM_EXEC XMODIFIERS
END

# remove unwanting files and dirs.
# due to ami-gnome.
rm -rf %{buildroot}/etc/CORBA
rm -rf %{buildroot}/usr/share/applets
rm -f %{buildroot}/usr/bin/ami_applet

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/ami
%{_bindir}/wmami
%{_bindir}/hanja-hwp2ami
%{_datadir}/ami
%{_datadir}/applnk/Utilities/ami.kdelnk
%{xim_conf_dir}/Ami
%doc README COPYING ChangeLog AUTHORS THANKS

#%files gnome
#%defattr(-,root,root)
#%{_bindir}/ami_applet
#%{_datadir}/applets/Utility/ami.desktop
#%{xim_conf_dir}/Ami-gnome
#/etc/CORBA/servers/ami.gnorba

%ChangeLog
* Sat Dec  4 2004 Kimitake SHIBATA <siva@momonga-linux.org>
- (1.0.11-10m)
- add gcc3.4 patch

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.11-9m)
- revised spec for enabling rpm 4.2.

* Tue Mar 13 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.11-8k)
- disable gnome applet

* Fri Nov 23 2001 Motonobu Ichimura <famao@kondara.org>
- (1.0.11-6k)
- added LANGUAGE support for latest ximswitch

* Thu Nov 15 2001 Motonobu Ichimura <famao@kondara.org>
- (1.0.11-4k)
- now re-enabled sdr stuff

* Mon Sep 24 2001 Toru Hoshina <t@kondara.org>
- (1.0.11-2k)
- version up.

* Tue Dec  5 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.0.6-22k)
- fixed typo in JITTER #800

* Fri Nov 24 2000 KIM Hyeong Cheol <kim@kondara.org>
- (1.0.6-21k)
- use %triggerin and %triggerun instead of %post for kde menu.

* Wed Oct 18 2000 KIM Hyeong Cheol <hkimu-tky@umin.ac.jp>
- (1.0.6-19k)
- some fix for kde1x and kde2x
- added preun and post
- utf-8 encode of spec file
- add summary and description for ja/ko
- some clean up

* Mon Oct 16 2000 KIM Hyeong Cheol <hkimu-tky@umin.ac.jp>
- (1.0.6-17k)
- rewrote Ami-gnome (Source102)

* Mon Oct 16 2000 Kenichi Matsubara <m@kondara.org>
- %files section add /usr/bin/ami :(-"-)"

* Tue Oct 10 2000 Kusumi, haruka <haruka76@kondara.org>
- hanja.dic and hanja.dic hpwhanjadic -> /usr/share/ami

* Tue Oct 10 2000 KUSUMI, haruka <haruka76@kondara.org>
- merged Ami-gnome : Thanks KIM Hyeung Cheul<hkimu-tky@umin.ac.jp>

* Sun Jul 23 2000 Akira Higuchi <a@kondara.org>
- locale.patch

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Mon Jun 26 2000 haruka kusumi <haruka76@kondara.org>
- new release 1.0.6

* Sun May 28 2000 haruka kusumi <haruka kusumi <haruka76@kondara.org>
- new release 1.0.5

* Thu May 4 2000 haruka kusumi <haruka76@rcedu.kyushu-u.ac.jp>
- change some items for kondara

* Sun Oct 31 1999 Sang-Jin Hwang, <accel@accellinux.org>
- update to 1.0.1

* Mon Oct 25 1999 Sang-Jin Hwang, <accel@accellinux.org>
- new glibc environment rebuild.

* Tue Oct 19 1999 Sang-Jin Hwang, <accel@accellinux.org>
- Accel Linux 6.1 build release.

* Sun Oct 10 1999 Sang-Jin Hwang, <accel@accellinux.org>
- update to 1.0.0

* Fri Oct 08 1999 Sang-Jin Hwang, <accel@accellinux.org>
- update to 0.5.4

* Sat Oct 02 1999 Sang-Jin Hwang, <accel@accellinux.org>
- update to 0.5.3

* Tue Sep 28 1999 Sang-Jin Hwang, <accel@accellinux.org>
- update to 0.5.1

* Fri Aug 27 1999 Sang-Jin Hwang, <accel@accellinux.org>
- update to 0.4.1

* Wed Aug 18 1999 Sang-Jin Hwang, <accel@linux.accellinux.org>
- add dvorak keyboard patch.
- keyboard environment variable patch of cdhwang

* Fri Aug 13 1999 Sang-Jin Hwang, <accel@linux.mdworld.com>
- initial package
